Upstream information

CVE-2009-0688 at MITRE

Description

Multiple buffer overflows in the CMU Cyrus SASL library before 2.1.23 might allow remote attackers to execute arbitrary code or cause a denial of service (application crash) via strings that are used as input to the sasl_encode64 function in lib/saslutil.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 499104 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 GA cyrus-sasl
SUSE Linux Enterprise Desktop 12 SP1
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA cyrus-sasl
SUSE Linux Enterprise Desktop 12 SP2
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA cyrus-sasl
SUSE Linux Enterprise Desktop 12 SP3
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA cyrus-sasl
SUSE Linux Enterprise Module for Basesystem 15
  • cyrus-sasl >= 2.1.26-3.23
  • cyrus-sasl-32bit >= 2.1.26-3.23
  • cyrus-sasl-crammd5 >= 2.1.26-3.23
  • cyrus-sasl-crammd5-32bit >= 2.1.26-3.23
  • cyrus-sasl-devel >= 2.1.26-3.23
  • cyrus-sasl-digestmd5 >= 2.1.26-3.23
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-3.23
  • cyrus-sasl-gssapi >= 2.1.26-3.23
  • cyrus-sasl-gssapi-32bit >= 2.1.26-3.23
  • cyrus-sasl-otp >= 2.1.26-3.23
  • cyrus-sasl-plain >= 2.1.26-3.23
  • cyrus-sasl-plain-32bit >= 2.1.26-3.23
  • cyrus-sasl-saslauthd >= 2.1.26-3.41
  • libsasl2-3 >= 2.1.26-3.23
  • libsasl2-3-32bit >= 2.1.26-3.23
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA cyrus-sasl
SUSE Linux Enterprise Module for Server Applications 15
  • cyrus-sasl-sqlauxprop >= 2.1.26-3.41
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA cyrus-sasl-sqlauxprop
SUSE Linux Enterprise Server 11
  • cyrus-sasl >= 2.1.22-182.20.1
  • cyrus-sasl-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-otp >= 2.1.22-182.20.1
  • cyrus-sasl-otp-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-otp-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-plain >= 2.1.22-182.20.1
  • cyrus-sasl-plain-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-plain-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-x86 >= 2.1.22-182.20.1
Patchnames:
slessp0-cyrus-sasl
SUSE Linux Enterprise Server 12
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-otp >= 2.1.26-7.1
  • cyrus-sasl-otp-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop-32bit >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Server 12 GA cyrus-sasl
SUSE Linux Enterprise Server 12 SP1
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-otp >= 2.1.26-7.1
  • cyrus-sasl-otp-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop-32bit >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA cyrus-sasl
SUSE Linux Enterprise Server 12 SP2
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-otp >= 2.1.26-7.1
  • cyrus-sasl-otp-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop-32bit >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA cyrus-sasl
SUSE Linux Enterprise Server 12 SP3
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-32bit >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-crammd5-32bit >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-gssapi-32bit >= 2.1.26-7.1
  • cyrus-sasl-otp >= 2.1.26-7.1
  • cyrus-sasl-otp-32bit >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-plain-32bit >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop-32bit >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
  • libsasl2-3-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA cyrus-sasl
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • cyrus-sasl >= 2.1.26-7.1
  • cyrus-sasl-crammd5 >= 2.1.26-7.1
  • cyrus-sasl-digestmd5 >= 2.1.26-7.1
  • cyrus-sasl-gssapi >= 2.1.26-7.1
  • cyrus-sasl-otp >= 2.1.26-7.1
  • cyrus-sasl-plain >= 2.1.26-7.1
  • cyrus-sasl-saslauthd >= 2.1.26-7.1
  • cyrus-sasl-sqlauxprop >= 2.1.26-7.1
  • libsasl2-3 >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA cyrus-sasl
SUSE Linux Enterprise Server for SAP Applications 11
  • cyrus-sasl >= 2.1.22-182.20.1
  • cyrus-sasl-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-otp >= 2.1.22-182.20.1
  • cyrus-sasl-otp-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-otp-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-plain >= 2.1.22-182.20.1
  • cyrus-sasl-plain-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-plain-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-x86 >= 2.1.22-182.20.1
Patchnames:
slessp0-cyrus-sasl
SUSE Linux Enterprise Software Development Kit 12
  • cyrus-sasl-devel >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA cyrus-sasl-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • cyrus-sasl-devel >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA cyrus-sasl-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • cyrus-sasl-devel >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA cyrus-sasl-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • cyrus-sasl-devel >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA cyrus-sasl-devel
SUSE Linux Enterprise Workstation Extension 12
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA cyrus-sasl-digestmd5-32bit
SUSE Linux Enterprise Workstation Extension 12 SP1
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA cyrus-sasl-digestmd5-32bit
SUSE Linux Enterprise Workstation Extension 12 SP2
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA cyrus-sasl-digestmd5-32bit
SUSE Linux Enterprise Workstation Extension 12 SP3
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-7.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA cyrus-sasl-digestmd5-32bit
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • cyrus-sasl >= 2.1.18-33.14
  • cyrus-sasl-crammd5 >= 2.1.18-33.14
  • cyrus-sasl-devel >= 2.1.18-33.14
  • cyrus-sasl-digestmd5 >= 2.1.18-33.14
  • cyrus-sasl-gssapi >= 2.1.18-33.14
  • cyrus-sasl-otp >= 2.1.18-33.14
  • cyrus-sasl-plain >= 2.1.18-33.14
sles9-nld.x86
core9.ia64
sles9-nld.x86-64
sles9-nlpos.x86
core9.ppc
core9.x86
core9.s390
core9.x86-64
sles9-oes.x86
core9.s390x
YOU Patch Nr: 12419
Novell Linux Desktop 9 for x86_64
  • cyrus-sasl >= 2.1.18-33.14
  • cyrus-sasl-32bit >= 9-200905141649
  • cyrus-sasl-crammd5 >= 2.1.18-33.14
  • cyrus-sasl-devel >= 2.1.18-33.14
  • cyrus-sasl-devel-32bit >= 9-200905141649
  • cyrus-sasl-digestmd5 >= 2.1.18-33.14
  • cyrus-sasl-gssapi >= 2.1.18-33.14
  • cyrus-sasl-otp >= 2.1.18-33.14
  • cyrus-sasl-plain >= 2.1.18-33.14
sles9-nld.x86
core9.ia64
sles9-nld.x86-64
sles9-nlpos.x86
core9.ppc
core9.x86
core9.s390
core9.x86-64
sles9-oes.x86
core9.s390x
YOU Patch Nr: 12419
SUSE Linux Enterprise SDK 11 GA
  • cyrus-sasl-devel >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
SUSE Linux Enterprise SDK 11 GA
  • cyrus-sasl-devel >= 2.1.22-182.20.1
  • cyrus-sasl-devel-32bit >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
SUSE Linux Enterprise SDK 11 GA
  • cyrus-sasl-devel >= 2.1.22-182.20.1
  • cyrus-sasl-devel-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
SUSE Linux Enterprise Desktop 11 GA
  • cyrus-sasl >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi >= 2.1.22-182.20.1
  • cyrus-sasl-plain >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
SUSE Linux Enterprise Desktop 11 GA
  • cyrus-sasl >= 2.1.22-182.20.1
  • cyrus-sasl-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-plain >= 2.1.22-182.20.1
  • cyrus-sasl-plain-32bit >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
SUSE Linux Enterprise Server 11 GA
  • cyrus-sasl >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi >= 2.1.22-182.20.1
  • cyrus-sasl-otp >= 2.1.22-182.20.1
  • cyrus-sasl-plain >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
SUSE Linux Enterprise Server 11 GA
  • cyrus-sasl >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-otp >= 2.1.22-182.20.1
  • cyrus-sasl-otp-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-plain >= 2.1.22-182.20.1
  • cyrus-sasl-plain-x86 >= 2.1.22-182.20.1
  • cyrus-sasl-x86 >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
SUSE Linux Enterprise Server 11 GA
  • cyrus-sasl >= 2.1.22-182.20.1
  • cyrus-sasl-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.20.1
  • cyrus-sasl-crammd5-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi >= 2.1.22-182.20.1
  • cyrus-sasl-gssapi-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-otp >= 2.1.22-182.20.1
  • cyrus-sasl-otp-32bit >= 2.1.22-182.20.1
  • cyrus-sasl-plain >= 2.1.22-182.20.1
  • cyrus-sasl-plain-32bit >= 2.1.22-182.20.1
sled11.x86
sle11-sdk.ia64
sle11-debuginfo.ia64
sle11-sdk.s390x
sled11.x86-64
sles11.s390x
sle11-debuginfo.ppc
sles11.ia64
sle11-sdk.x86-64
sles11.x86-64
sles11.x86
sles11.ppc
sle11-debuginfo.x86
sle11-debuginfo.x86-64
sle11-debuginfo.s390x
sle11-sdk.x86
sle11-sdk.ppc
SAT Patch Nr: 881
openSUSE 11.0
  • cyrus-sasl-debuginfo >= 2.1.22-140.2
  • cyrus-sasl-debugsource >= 2.1.22-140.2
openSUSE 11.0
  • cyrus-sasl >= 2.1.22-140.2
  • cyrus-sasl-32bit >= 2.1.22-140.2
  • cyrus-sasl-64bit >= 2.1.22-140.2
  • cyrus-sasl-crammd5 >= 2.1.22-140.2
  • cyrus-sasl-crammd5-32bit >= 2.1.22-140.2
  • cyrus-sasl-crammd5-64bit >= 2.1.22-140.2
  • cyrus-sasl-devel >= 2.1.22-140.2
  • cyrus-sasl-devel-32bit >= 2.1.22-140.2
  • cyrus-sasl-devel-64bit >= 2.1.22-140.2
  • cyrus-sasl-digestmd5 >= 2.1.22-140.2
  • cyrus-sasl-digestmd5-32bit >= 2.1.22-140.2
  • cyrus-sasl-digestmd5-64bit >= 2.1.22-140.2
  • cyrus-sasl-gssapi >= 2.1.22-140.2
  • cyrus-sasl-gssapi-32bit >= 2.1.22-140.2
  • cyrus-sasl-gssapi-64bit >= 2.1.22-140.2
  • cyrus-sasl-ntlm >= 2.1.22-140.2
  • cyrus-sasl-otp >= 2.1.22-140.2
  • cyrus-sasl-otp-32bit >= 2.1.22-140.2
  • cyrus-sasl-otp-64bit >= 2.1.22-140.2
  • cyrus-sasl-plain >= 2.1.22-140.2
  • cyrus-sasl-plain-32bit >= 2.1.22-140.2
  • cyrus-sasl-plain-64bit >= 2.1.22-140.2
openSUSE 11.1
  • cyrus-sasl-debuginfo >= 2.1.22-182.2.1
  • cyrus-sasl-debuginfo-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-debuginfo-64bit >= 2.1.22-182.2.1
  • cyrus-sasl-debugsource >= 2.1.22-182.2.1
openSUSE 11.1
  • cyrus-sasl >= 2.1.22-182.2.1
  • cyrus-sasl-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-64bit >= 2.1.22-182.2.1
  • cyrus-sasl-crammd5 >= 2.1.22-182.2.1
  • cyrus-sasl-crammd5-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-crammd5-64bit >= 2.1.22-182.2.1
  • cyrus-sasl-devel >= 2.1.22-182.2.1
  • cyrus-sasl-devel-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-devel-64bit >= 2.1.22-182.2.1
  • cyrus-sasl-digestmd5 >= 2.1.22-182.2.1
  • cyrus-sasl-digestmd5-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-digestmd5-64bit >= 2.1.22-182.2.1
  • cyrus-sasl-gssapi >= 2.1.22-182.2.1
  • cyrus-sasl-gssapi-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-gssapi-64bit >= 2.1.22-182.2.1
  • cyrus-sasl-ntlm >= 2.1.22-182.2.1
  • cyrus-sasl-otp >= 2.1.22-182.2.1
  • cyrus-sasl-otp-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-otp-64bit >= 2.1.22-182.2.1
  • cyrus-sasl-plain >= 2.1.22-182.2.1
  • cyrus-sasl-plain-32bit >= 2.1.22-182.2.1
  • cyrus-sasl-plain-64bit >= 2.1.22-182.2.1
SUSE Linux Enterprise SDK 10 SP2
  • cyrus-sasl-otp >= 2.1.21-18.10.2
  • cyrus-sasl-sqlauxprop >= 2.1.21-18.10.2
sles10-sp2.ppc
sle10-sp2-sdk.ppc
sles10-sp2.x86
sles10-sp2.x86-64
sled10-sp2.x86
sle10-sp2-sdk.x86
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.ia64
sle10-sp2-sdk.s390x
sles10-sp2.s390x
sled10-sp2.x86-64
sles10-sp2.ia64
ZYPP Patch Nr: 6250
openSUSE Leap 15.0
  • cyrus-sasl >= 2.1.26-lp150.3.7
  • cyrus-sasl-32bit >= 2.1.26-lp150.3.7
  • cyrus-sasl-crammd5 >= 2.1.26-lp150.3.7
  • cyrus-sasl-crammd5-32bit >= 2.1.26-lp150.3.7
  • cyrus-sasl-digestmd5 >= 2.1.26-lp150.3.7
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-lp150.3.7
  • cyrus-sasl-gssapi >= 2.1.26-lp150.3.7
  • cyrus-sasl-gssapi-32bit >= 2.1.26-lp150.3.7
  • cyrus-sasl-plain >= 2.1.26-lp150.3.7
  • cyrus-sasl-plain-32bit >= 2.1.26-lp150.3.7
  • libsasl2-3 >= 2.1.26-lp150.3.7
  • libsasl2-3-32bit >= 2.1.26-lp150.3.7
Patchnames:
openSUSE Leap 15.0 GA cyrus-sasl
openSUSE Leap 42.1
  • cyrus-sasl >= 2.1.26-8.1
  • cyrus-sasl-crammd5 >= 2.1.26-8.1
  • cyrus-sasl-devel >= 2.1.26-8.1
  • cyrus-sasl-digestmd5 >= 2.1.26-8.1
  • cyrus-sasl-gssapi >= 2.1.26-8.1
  • cyrus-sasl-plain >= 2.1.26-8.1
  • libsasl2-3 >= 2.1.26-8.1
  • libsasl2-3-32bit >= 2.1.26-8.1
Patchnames:
openSUSE Leap 42.1 GA cyrus-sasl
openSUSE Leap 42.2
  • cyrus-sasl >= 2.1.26-9.5
  • cyrus-sasl-crammd5 >= 2.1.26-9.5
  • cyrus-sasl-devel >= 2.1.26-9.5
  • cyrus-sasl-digestmd5 >= 2.1.26-9.5
  • cyrus-sasl-gssapi >= 2.1.26-9.5
  • cyrus-sasl-plain >= 2.1.26-9.5
  • libsasl2-3 >= 2.1.26-9.5
  • libsasl2-3-32bit >= 2.1.26-9.5
Patchnames:
openSUSE Leap 42.2 GA cyrus-sasl
openSUSE Leap 42.3
  • cyrus-sasl >= 2.1.26-12.1
  • cyrus-sasl-crammd5 >= 2.1.26-12.1
  • cyrus-sasl-devel >= 2.1.26-12.1
  • cyrus-sasl-digestmd5 >= 2.1.26-12.1
  • cyrus-sasl-gssapi >= 2.1.26-12.1
  • cyrus-sasl-plain >= 2.1.26-12.1
  • libsasl2-3 >= 2.1.26-12.1
  • libsasl2-3-32bit >= 2.1.26-12.1
Patchnames:
openSUSE Leap 42.3 GA cyrus-sasl
openSUSE Tumbleweed
  • cyrus-sasl >= 2.1.26-12.5
  • cyrus-sasl-32bit >= 2.1.26-12.5
  • cyrus-sasl-crammd5 >= 2.1.26-12.5
  • cyrus-sasl-crammd5-32bit >= 2.1.26-12.5
  • cyrus-sasl-devel >= 2.1.26-12.5
  • cyrus-sasl-devel-32bit >= 2.1.26-12.5
  • cyrus-sasl-digestmd5 >= 2.1.26-12.5
  • cyrus-sasl-digestmd5-32bit >= 2.1.26-12.5
  • cyrus-sasl-gs2 >= 2.1.26-12.5
  • cyrus-sasl-gssapi >= 2.1.26-12.5
  • cyrus-sasl-gssapi-32bit >= 2.1.26-12.5
  • cyrus-sasl-ldap-auxprop >= 2.1.26-12.5
  • cyrus-sasl-ldap-auxprop-32bit >= 2.1.26-12.5
  • cyrus-sasl-ntlm >= 2.1.26-12.5
  • cyrus-sasl-otp >= 2.1.26-12.5
  • cyrus-sasl-otp-32bit >= 2.1.26-12.5
  • cyrus-sasl-plain >= 2.1.26-12.5
  • cyrus-sasl-plain-32bit >= 2.1.26-12.5
  • cyrus-sasl-saslauthd >= 2.1.26-12.5
  • cyrus-sasl-scram >= 2.1.26-12.5
  • cyrus-sasl-sqlauxprop >= 2.1.26-12.5
  • cyrus-sasl-sqlauxprop-32bit >= 2.1.26-12.5
  • libsasl2-3 >= 2.1.26-12.5
  • libsasl2-3-32bit >= 2.1.26-12.5
Patchnames:
openSUSE Tumbleweed GA cyrus-sasl


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA cyrus-sasl Released
SUSE Linux Enterprise Desktop 11 SP1 cyrus-sasl Released
SUSE Linux Enterprise Desktop 11 SP2 cyrus-sasl Released
SUSE Linux Enterprise SDK 11 GA cyrus-sasl Released
SUSE Linux Enterprise SDK 11 SP1 cyrus-sasl Released
SUSE Linux Enterprise SDK 11 SP2 cyrus-sasl Released
SUSE Linux Enterprise Server 11 SP1 cyrus-sasl Released
SUSE Linux Enterprise Server 11 SP1 LTSS cyrus-sasl Released
SUSE Linux Enterprise Server 11 SP2 cyrus-sasl Released
SUSE Linux Enterprise Server 11 SP2 LTSS cyrus-sasl Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 cyrus-sasl Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 cyrus-sasl Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 cyrus-sasl Released
SUSE Linux Enterprise Server for VMWare 11 SP2 cyrus-sasl Released
SUSE Studio Onsite 1.3 cyrus-sasl Released